Name:       ncid
Version:    0.78
Release:    1%{?dist}
Summary:    Network Caller ID server, client, and gateways

Group:      Applications/Communications
License:    GPLv2+
Url:        http://ncid.sourceforge.net
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libpcap-devel

%description
NCID is Caller ID (CID) distributed over a network to a variety of
devices and computers.  NCID includes a server, gateways, a client,
and client output modules.

The NCID server obtains the Caller ID information from a serial device,
like a modem, and from VOIP and YAC gateways.

This package contains the server and gateways.  The client is in the
ncid-client package.

%package client
Summary:    NCID (Network Caller ID) client
Group:      Applications/Communications
Requires:   tcl, tk, /bin/mail
BuildArch:  noarch

%description client
The ncid-client obtains the Caller ID from the ncid-server and normally
displays it in a GUI window.  It can also display the Called ID in a
terminal window or, using a output module, format the output and send it
to another program.

%package kpopup
Summary:    NCID kpopup module displays caller ID info in a KDE window
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}
Requires:   %{name}-speak = %{version}-%{release}
Requires:   kdebase, kdemultimedia, festival, /usr/bin/dcop

%description kpopup
The NCID kpopup module displays caller ID information in a KDE popup window
and optionally speaks the number via voice synthesis.

%package samba
Summary:    NCID samba module sends caller ID information to windows machines
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, samba-client

%description samba
The NCID samba module sends caller ID information to a windows machine
via popup.  This will not work if the messenger service is disabled.

%package speak
Summary:    NCID speak module speaks caller ID information via voice synthesis
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, festival

%description speak
The NCID speak module announces Caller Id information verbally, using
the Festival text-to-speech voice synthesis system.

%prep

%setup -q -n %{name}

%build
make %{?_smp_mflags} EXTRA_CFLAGS="$RPM_OPT_FLAGS" \
     STRIP= prefix=%{_prefix} prefix2= local fedoradir

%install
rm -rf ${RPM_BUILD_ROOT}
make install install-fedora prefix=${RPM_BUILD_ROOT}/%{_prefix} \
                            prefix2=${RPM_BUILD_ROOT} \
                            prefix3=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT
rm -fr $RPM_BUILD_DIR/%{name}

%post
# make services known
for SCRIPT in ncidd ncidsip sip2ncid yac2ncid
do
    /sbin/chkconfig --add $SCRIPT
done

%post client
# make services known
for SCRIPT in ncid-page ncid-yac ncid-mythtv ncid-initmodem ncid-hangup
do
    /sbin/chkconfig --add $SCRIPT
done

%post samba
/sbin/chkconfig --add ncid-samba

%post speak
/sbin/chkconfig --add ncid-speak

%preun
if [ $1 = 0 ] ; then ### Uninstall package ###
    # stop services and remove autostart
    for SCRIPT in ncidd ncidsip sip2ncid yac2ncid
    do
        /sbin/service $SCRIPT stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del $SCRIPT
    done
fi

%preun client
if [ $1 = 0 ] ; then ### Uninstall package ###
    # stop services and remove autostart
    for SCRIPT in ncid-page ncid-yac ncid-mythtv ncid-initmodem ncid-hangup
    do
        /sbin/service $SCRIPT stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del $SCRIPT
    done
fi

# just in case an old package that had the obsolete ncid service is upgraded
if [ "$1" -ge "1" ]; then ### upgrade package ###
    /sbin/service ncid stop >/dev/null 2>&1 || true
    /sbin/chkconfig ncid && /sbin/chkconfig --del ncid || true
fi

%preun samba
if [ $1 = 0 ] ; then ### Uninstall package ###
    # stop services and remove autostart
    /sbin/service ncid-samba stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del ncid-samba
fi

%preun speak
if [ $1 = 0 ] ; then ### Uninstall package ###
    # stop services and remove autostart
    /sbin/service ncid-speak stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del ncid-speak
fi

%postun
if [ "$1" -ge "1" ]; then ### upgrade package ###
    # restart services that are running
    for SCRIPT in ncidd ncidsip
    do
        /sbin/service $SCRIPT condrestart >/dev/null 2>&1 || :
    done
fi

%postun client
if [ "$1" -ge "1" ]; then ### upgrade package ###
    # restart services that are running
    for SCRIPT in ncid-page ncid-yac ncid-mythtv
    do
        /sbin/service `basename $SCRIPT` condrestart >/dev/null 2>&1 || :
    done
fi

%postun samba
if [ "$1" -ge "1" ]; then ### upgrade package ###
    # restart services if running
    /sbin/service ncid-samba condrestart >/dev/null 2>&1 || :
fi

%postun speak
if [ "$1" -ge "1" ]; then ### upgrade package ###
    # restart service if running
    /sbin/service ncid-speak condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc README VERSION doc
%doc cidgate/README.Gateways Fedora/README.Fedora modules/README.modules
%doc scripts/README.logfile tools/README.tools
%{_bindir}/cidcall
%{_bindir}/cidalias
%{_bindir}/cidupdate
%{_bindir}/yac2ncid
%{_sbindir}/ncidd
%{_sbindir}/ncidsip
%{_sbindir}/sip2ncid
%dir %{_datadir}/ncid
%{_datadir}/ncid/ncidrotate
%dir %{_sysconfdir}/ncid
%config(noreplace) %{_sysconfdir}/ncid/ncidd.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidd.alias
%config(noreplace) %{_sysconfdir}/ncid/ncidrotate.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidsip.conf
%config(noreplace) %{_sysconfdir}/ncid/sip2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/yac2ncid.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ncid
%{_initrddir}/ncidd
%{_initrddir}/ncidsip
%{_initrddir}/sip2ncid
%{_initrddir}/yac2ncid
%{_mandir}/man1/ncidrotate.1*
%{_mandir}/man1/ncidtools.1*
%{_mandir}/man1/yac2ncid.1*
%{_mandir}/man5/ncidd.conf.5*
%{_mandir}/man5/sip2ncid.conf.5*
%{_mandir}/man5/yac2ncid.conf.5*
%{_mandir}/man5/ncidd.alias.5*
%{_mandir}/man5/ncidrotate.conf.5*
%{_mandir}/man5/ncidsip.conf.5*
%{_mandir}/man8/ncidd.8*
%{_mandir}/man8/ncidsip.8*
%{_mandir}/man8/sip2ncid.8*

%files client
%defattr(-,root,root)
%doc modules/README.modules
%{_bindir}/ncid
%dir %{_datadir}/ncid
%{_datadir}/ncid/ncid-page
%{_datadir}/ncid/ncid-skel
%{_datadir}/ncid/ncid-tivo
%{_datadir}/ncid/ncid-yac
%{_datadir}/ncid/ncid-mythtv
%{_datadir}/pixmaps/ncid/ncid.gif
%{_datadir}/ncid/ncid-initmodem
%{_datadir}/ncid/ncid-hangup
%dir %{_sysconfdir}/ncid
%{_sysconfdir}/ncid/ncid.minicom
%config(noreplace) %{_sysconfdir}/ncid/ncid.blacklist
%config(noreplace) %{_sysconfdir}/ncid/ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidmodules.conf
%{_initrddir}/ncid-page
%{_initrddir}/ncid-yac
%{_initrddir}/ncid-mythtv
%{_initrddir}/ncid-initmodem
%{_initrddir}/ncid-hangup
%{_mandir}/man1/ncid.1*
%{_mandir}/man1/ncidmodules.1*
%{_mandir}/man5/ncid.conf.5*
%{_mandir}/man5/ncidmodules.conf.5*

%files kpopup
%defattr(-,root,root)
%doc modules/README.modules
%{_datadir}/ncid/ncid-kpopup

%files samba
%defattr(-,root,root)
%doc modules/README.modules
%{_datadir}/ncid/ncid-samba
%{_initrddir}/ncid-samba

%files speak
%defattr(-,root,root)
%doc modules/README.modules
%{_datadir}/ncid/ncid-speak
%{_initrddir}/ncid-speak

%changelog
* Mon May 17 2010 Eric Sandeen <sandeen@redhat.com> 0.78-1
- New upstream version

* Sat Apr 17 2010 Eric Sandeen <sandeen@redhat.com> 0.77-1
- New upstream version

* Tue Feb 16 2010 Eric Sandeen <sandeen@redhat.com> 0.76-1
- New upstream version

* Sat Nov 07 2009 Eric Sandeen <sandeen@redhat.com> 0.75-1
- New upstream version
- Make client subpackage noarch

* Fri Oct 09 2009 Eric Sandeen <sandeen@redhat.com> 0.74-3
- Address new review items

* Fri Sep 04 2009 Eric Sandeen <sandeen@redhat.com> 0.74-2
- Address new review items

* Wed Jul 29 2009 Eric Sandeen <sandeen@redhat.com> 0.74-1
- New upstream release.

* Sun Mar 29 2009 Eric Sandeen <sandeen@redhat.com> 0.73-2
- First Fedora build.

* Thu Mar 12 2009 John Chmielewski <jlc@users.sourceforge.net> 0.73-1
- Initial build.

